"""Registry urls - namespace search."""
from django.urls import path

from ferda.views import SearchView
from ferda.views.ajax.search import SearchContactView, SearchDomainView, SearchKeysetView, SearchNssetView

app_name = "search"
urlpatterns = [
    path('search/', SearchView.as_view(), name='search'),
    path('ajax/search_contact/', SearchContactView.as_view(), name='ajax_contact'),
    path('ajax/search_contact_history/', SearchContactView.as_view(), {'search_history': True},
         name='ajax_contact_history'),
    path('ajax/search_domain/', SearchDomainView.as_view(), name='ajax_domain'),
    path('ajax/search_domain_history/', SearchDomainView.as_view(), {'search_history': True},
         name='ajax_domain_history'),
    path('ajax/search_keyset/', SearchKeysetView.as_view(), name='ajax_keyset'),
    path('ajax/search_keyset_history/', SearchKeysetView.as_view(), {'search_history': True},
         name='ajax_keyset_history'),
    path('ajax/search_nsset/', SearchNssetView.as_view(), name='ajax_nsset'),
    path('ajax/search_nsset_history/', SearchNssetView.as_view(), {'search_history': True},
         name='ajax_nsset_history'),
]
