"""Various ferda utils."""
from typing import Any


class AbcAttributeType:
    """
    Abstract attribute type.

    Use instance of this class as default value of ABC
    attribute in order to enforce class attribute definition.
    """

    __isabstractmethod__ = True


# Abstract attribute singleton
AbcAttribute: Any = AbcAttributeType()


def removeprefix(value: str, prefix: str) -> str:
    """Remove string prefix if it exists."""
    # XXX: Replace with `str.removeprefix` in Python 3.9+
    if value.startswith(prefix):
        return value.replace(prefix, "", 1)
    else:
        return value
